LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapeArranger Interface Referencepublished

Objects implementing this interface can be used to arrange Shapes. More...

`import"XShapeArranger.idl";`

Inheritance diagram for XShapeArranger:

## Public Member Functions
void | arrange ([in] com::sun::star::drawing::XShapes xShapes, [in] com::sun::star::drawing::Arrangement eType)
| applies the specified Arrangement to the specified collection of Shapes. More...
void | bringToFront ([in] com::sun::star::drawing::XShapes xShapes, [in] short nSteps)
| moves the specified Shapes by a specified number of objects more to the front. More...
void | sendToBack ([in] com::sun::star::drawing::XShapes xShapes, [in] short nSteps)
| moves the specified Shapes nSteps objects more to the back. More...
void | setBehindShape ([in] com::sun::star::drawing::XShapes xShapes, [in] com::sun::star::drawing::XShape xShape)
| moves the specified collection of Shapes behind the specified single Shape. More...
void | setInFrontOf ([in] com::sun::star::drawing::XShapes xShapes, [in] com::sun::star::drawing::XShape xShape)
| moves the specified collection of Shapes in front of the specified single Shape. More...
void | reverseOrder ([in] com::sun::star::drawing::XShapes xShapes)
| reverses the order of the specified collection of Shapes. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Objects implementing this interface can be used to arrange Shapes.

Deprecated:

## Member Function Documentation

## ◆ arrange()

void arrange | ( | [in] com::sun::star::drawing::XShapes | xShapes,
|  | [in] com::sun::star::drawing::Arrangement | eType
| ) |  |

applies the specified Arrangement to the specified collection of Shapes.

## ◆ bringToFront()

void bringToFront | ( | [in] com::sun::star::drawing::XShapes | xShapes,
|  | [in] short | nSteps
| ) |  |

moves the specified Shapes by a specified number of objects more to the front.

## ◆ reverseOrder()

void reverseOrder | ( | [in] com::sun::star::drawing::XShapes | xShapes | ) |

reverses the order of the specified collection of Shapes.

## ◆ sendToBack()

void sendToBack | ( | [in] com::sun::star::drawing::XShapes | xShapes,
|  | [in] short | nSteps
| ) |  |

moves the specified Shapes nSteps objects more to the back.

## ◆ setBehindShape()

void setBehindShape | ( | [in] com::sun::star::drawing::XShapes | xShapes,
|  | [in] com::sun::star::drawing::XShape | xShape
| ) |  |

moves the specified collection of Shapes behind the specified single Shape.

## ◆ setInFrontOf()

void setInFrontOf | ( | [in] com::sun::star::drawing::XShapes | xShapes,
|  | [in] com::sun::star::drawing::XShape | xShape
| ) |  |

moves the specified collection of Shapes in front of the specified single Shape.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeArranger.idl